# ALTER LANGUAGE

ALTER LANGUAGE — 變更程序語言的宣告

### 語法

```
ALTER [ PROCEDURAL ] LANGUAGE name RENAME TO new_name
ALTER [ PROCEDURAL ] LANGUAGE name OWNER TO { new_owner | CURRENT_USER | SESSION_USER }
```

### 說明

ALTER LANGUAGE 變更程序語言的宣告。唯一的功能是將語言重新命名或分配新的所有者。您必須是該語言所有者或超級使用者才能使用 ALTER LANGUAGE。

### 參數

*`name`*

語言名稱

*`new_name`*

語言的新名稱

*`new_owner`*

語言的新所有者e

### 相容性

SQL 標準中沒有 ALTER LANGUAGE 語句。

### 參閱

[CREATE LANGUAGE](/13/reference/sql-commands/create-language.md), [DROP LANGUAGE](/13/reference/sql-commands/drop-language.md)<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/13/reference/sql-commands/alter-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
